.gallery-pic{
  display: flex;
  flex-wrap: wrap;
  overflow: hidden;
}

.gallerycontainer{
  margin: 50px 100px;
  background: transparent;
  position: relative;
  align-self: center;
  justify-content: center;
  align-items: center ;
  display: flex;
  flex-wrap: wrap;
  padding: 50px 20px;
  overflow: hidden;
}

.gallerypic{
  width: 350px;
  height: 420px;
  display: inline-block;
  border-radius: 10px;
  box-sizing: border-box;
  cursor: pointer;
  margin: 10px 15px;
  box-shadow: 5px 5px 5px rgba(0,0,0,0.5), -1px -1px 5px rgba(0,0,0,0.5)inset;
  background-position: center;
  background-size: fill;
  transition: transform 0.5s;
}

.gallerypic:hover{
  transform: translateY(-10px);
}

.lightbox{
  position: fixed;
  display: none;
  background-color: rgba(0,0,0,0.9);
  width: 100%;
  height: 100%;
  overflow: hidden;
  top: 0;
  left: 0;
  z-index: 100;
}

.lightbox-content{
  width: 70%;
  height: 80%;
  margin: 5% auto;
  margin-top: 100px;
}

.lightbox-content img{
  width: 100%;
  height: 100%;
  border-radius: 10px;
  object-fit: fill;
}

.lightbox-prev,.lightbox-next{
  position: absolute;
  color: gray;
  top: 50%;
  cursor: pointer;
  font-size: 50px;
}

.lightbox-prev{
  left: 20px;
}

.lightbox-next{
  right: 20px;
}

@media (max-width:768px){
  .gallerypic{
    width: 350px;
    height: 350px;
  }
  .gallerycontainer{
    margin: 50px 20px;
  }
}

@media (max-width:400px){
  .gallerypic{
    width: 275px;
    height: 275px;
  }
  .gallerycontainer{
    margin: 50px 20px;
  }
}

.show{
  opacity: 1;
  filter: blur(0);
  transform: translateX(0);
}